// A bit of something for other players.
// The Funny and size-related sounds.

freeslot("SFX_FUNDIE")

sfxinfo[sfx_fundie] = {
        singular = false,
        priority = 32,
		flags = SF_X4AWAYSOUND,
		caption = "funnydeath.mp4"
}

local function controlpanel()
	S_StartSound(nil, sfx_uihmsn, consoleplayer)
end

// The Funny Switch.
local funnydeath = CV_RegisterVar({
	name = "funindeath",
	defaultvalue = 1,
	flags = CV_NETVAR | CV_SHOWMODIF | CV_CALL,
	PossibleValue = {disabled=0, enabled=1},
	func = controlpanel
})

local dothething = false

local function FunnyDeath(fart)
	if not S_SoundPlaying(fart.mo, sfx_fundie) then
		S_StopSound(fart.mo)
		S_StartSound(fart.mo, sfx_fundie)
		dothething = false
	end
end

addHook("PlayerThink", function(player)
	if not (player and player.valid) then return end
	if player.mo.destscale > player.mo.scale then
		if not S_SoundPlaying(player.mo, sfx_kc5a) and player.powers[pw_sneakers] != 0 then
			S_StartSound(player.mo, sfx_kc5a)
		end
	elseif player.mo.destscale < player.mo.scale then
		if not S_SoundPlaying(player.mo, sfx_kc59) and player.powers[pw_sneakers] == 0 then
			S_StartSound(player.mo, sfx_kc59)
		end
	end
	if funnydeath.value != 1 then return end
	if player.playerstate == PST_DEAD and player.fundeath == 0 then
		if P_RandomChance(FRACUNIT/8) then
			player.mo.flags2 = $ | MF2_DONTDRAW	
			local flatulence = P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z, MT_BOSSEXPLODE)
			flatulence.scale = 3 << FRACBITS
			player.fundeath = 1
			dothething = true
		else
			player.fundeath = 2
		end
	end
	if player.playerstate == PST_DEAD and player.fundeath == 1 then
		player.mo.momz = -10
		if dothething then
			FunnyDeath(player)
		end
	end
end)